<app-navbar></app-navbar>
<!--start page body-->
<div class="page-content pt-15 mb-5">
    <div class="container-fluid ">
        <div class="stic-b">

            <div class="col-lg-4 col-md-6 col-sm-12 stic-col pr-0">
                <!-- <div class="d-block d-sm-block d-lg-none d-md-none">
                    <a class="" data-bs-toggle="modal" data-bs-target="#myModalimg"><img class="imgZoom mw-100" alt="" [src]="ChangeImage" /></a>
                </div> -->
                <div class="">
                    <div class="row scrol-y">
                        <div class="col-lg-1 col-md-2 col-sm-1 col-2 s-side">
                            <ul class="nav nav-pills slider-pil" role="tablist">
                                <li class="nav-item mb-10" *ngFor="let img of all_left_images">

                                    <a class="nav-link active p-0" data-bs-toggle="pill"><img class="mw-100" src="{{baseurl}}static/public/{{img}}" (mouseover)="onSetIndex($event)"></a>

                                </li>


                                <ng-container *ngIf="my_video != '' && my_video != null && my_video != undefined ">
                                    <li class="nav-item mb-10" (click)="openvideoDialog(my_video)">

                                        <video height="80" width="50" controls poster="{{baseurl}}static/public/{{my_video}}" style="position: relative;z-index: -2;">
                                            <source src="{{baseurl}}static/public/{{my_video}}" type="video/mp4">
                                            <source src="{{baseurl}}static/public/{{my_video}}" type="video/ogg">
                                            Your browser does not support HTML video.
                                        </video>
                                    </li>
                                </ng-container>
                            </ul>
                        </div>


                        <div class="col-lg-11 col-md-10 col-sm-11 col-10">
                            <div class="tab-content tab-contn">
                                <div id="slider" class="tab-pane active">



                                    <lib-ngx-image-zoom [thumbImage]=LoadImage [fullImage]=LoadImage [magnification]="2" [enableScrollZoom]="true" [enableLens]="true" [lensWidth]="300" [lensHeight]="300" [hidden]="firtsimagehide">

                                    </lib-ngx-image-zoom>

                                    <lib-ngx-image-zoom [thumbImage]=ChangeImage [fullImage]=ChangeImage [magnification]="2" [enableScrollZoom]="true" [enableLens]="true" [lensWidth]="300" [lensHeight]="300"></lib-ngx-image-zoom>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8 col-md-6 col-sm-12 res-7">
                <div class="row">
                    <div class="col-lg-8 col-md-7 col-sm-8 mob-pt-20">
                        <h2 class="lhn mb-3">{{productTiltle}}</h2>
                        <a class="ankr-big mb-1 d-block" routerLink="/seller/{{selr_id}} ">{{shop_name}}</a>
                        <div class="clearfix "></div>
                        <button class="btn btn-info mt-1 " style="background-color: #31a64f; border:none " *ngIf="user_id; else elseLoginChat ">
                            <a routerLink="/chatInitiate/{{main_id}}" style="color: #fff !important; "><i
                                    class="fa-solid fa-message " style="font-size: 14px ; "></i> &nbsp; Envoyer un
                                message</a>
                        </button>
                        <ng-template #elseLoginChat>
                            <button class="btn btn-info " style="background-color: #31a64f;border:none ">
                                <a routerLink="/login " style="color: #fff !important; "><i class="fa-solid fa-message "
                                        style="font-size: 14px ; "></i> &nbsp; Envoyer un message</a>
                            </button>
                        </ng-template>
                        
                        

                        <ng-container *ngIf="myvariatons ">
                            <!-- {{myvariatons.length}} -->
                        </ng-container>
                        <hr class="z-in-1 ">
                        <ng-container *ngIf="first_variation ">
                            <div class="d-none d-sm-none d-lg-block d-md-block ">
                                <ul class="inline " *ngIf="first_variation.length> 0">
                                    <li *ngFor="let img of first_variation let z = index">

                                        <ng-container *ngIf="img.images.length > 0 ">
                                            <ng-container *ngIf="z == 0">
                                                <button class="tablinks" *ngFor="let imgVal of img.images let mm = index ">

                                                    <ng-container *ngIf="imgVal.length >= mm ">
                                                        <ng-container *ngIf="img._id.length > 0; else  imggggElse">
                                                            <img class="mw-100"
                                                                style="height: 50px !important; width: 60px !important;object-fit: contain;"
                                                                src="{{baseurl}}static/public/media/{{imgVal[0]}}"
                                                                (mouseover)="onSetIndex2($event, imgVal[0],img._id[mm])"
                                                                (click)="rightSideMainImageClick($event, imgVal[0],img._id[mm],mm)">
                                                        </ng-container>
                                                        <ng-template #imggggElse>
                                                            <img class="mw-100"
                                                                style="height: 50px !important; width: 60px !important;object-fit: contain;"
                                                                src="{{baseurl}}static/public/media/{{imgVal[0]}}"
                                                                (mouseover)="onSetIndex2($event, imgVal[0],'')"
                                                                (click)="rightSideMainImageClick($event, imgVal[0],img._id[mm],mm)">
                                                        </ng-template>
                                                    </ng-container>


                                                </button>
                                            </ng-container>


                                        </ng-container>
                                    </li>

                                </ul>
                            </div>

                            
                            <div *ngIf="myvariatons; else notVaration">
                                 
                                <ng-container *ngIf="auction_amount_new">
                                    <a class="position-r z-in-1" >
                                        <span class="minus-p"></span> 
                                        <span  class="sp-price">Prix de départ {{auction_amount_new }} CFA </span>
                                    </a>
                                </ng-container>
                            </div>
                            <ng-template #notVaration>
                                     
                                <!-- <ng-container *ngIf="auction_amount_new"></ng-container> -->
                                    <a class="position-r z-in-1"><span class="minus-p"></span> <span
                                            class="sp-price">Prix de départ {{auction_amount_new }} CFA  </span></a>
                                
                            </ng-template> <br>

                            <ng-container *ngIf="is_auction == true ">
                                <ng-container *ngIf="checkStartDate(auction_start_date) == true ">
                                    <ng-container *ngIf="any_bid == 0; else elseTeXt ">
                                        <!-- <h5 class="s-bidp" >Prix de enchérir {{auctionAmount }} CFA </h5> -->
                                    </ng-container>
                                    <ng-template #elseTeXt>
                                        <h5 class="s-bidp" >Montant de la dernière enchère {{auctionAmount }} CFA </h5>
                                    </ng-template>
                                </ng-container>
                            </ng-container>


                            <ng-container *ngIf="is_auction == true ">

                                <ng-container *ngIf="checkStartDate(auction_start_date) == true ">
                                <div id="countdown" class="mb-3 col-12 p-0">
                                    <div class="col-lg-12 col-md-12 col-sm-12 col-12 p-0">
                                    <p>Temps restant</p>
                                    <div class="rowss" *ngIf="calcDateDiff(auctionEndDate) as variable">
                                        <div class="rowss-child">
                                            <div class="time-p">
                                                <div class="time-s" id="days"> {{variable.daysToDday}} </div>
                                                Jours
                                            </div>
                                        </div>
                                        <div class="rowss-child">
                                            <div class="time-p">
                                                <div class="time-s" id="hours">{{variable.hoursToDday}} </div>
                                                Heures
                                            </div>
                                        </div>
                                        <div class="rowss-child">
                                            <div class="time-p">
                                                <div class="time-s" id="minutes">{{variable.minutesToDday}} </div>
                                                Mins
                                            </div>
                                        </div>
                                        <div class="rowss-child">
                                            <div class="time-p">
                                                <div class="time-s" id="seconds">{{variable.secondsToDday}} </div>
                                                Secondes
                                            </div>
                                        </div>
                                    </div>
                                    </div> 
                                    
                                    <div class="col-lg-12 col-md-12 col-sm-12 col-12 mt-5 p-0">
                                        <div class="row mb-3">
                                            <section>
                                                <form  [formGroup]="auctionform" >
                                                    <p class="qty1">
                                                    
                                                        <button class="qtyminus btn" aria-hidden="true" (click)="decrement(auctionAmount)" [disabled]="auctionAmount == counter">&minus;</button>
                                                        <!-- <input type="number" class="form-control" name="qty" id="qty" min="1" max="10" step="1"  > -->
                                                        <input type="number" class="form-control" formControlName="bid_amount" placeholder="{{counter}}"  (change)="changeval($event)" >
                                                        <button class="qtyplus btn" aria-hidden="true" (click)="increment(auctionAmount)">&plus;</button>
                                                        
                                                    </p>
                                                    <h5  class="s-bidp"> * 
                                                        Augmenter de {{auctionPercentage}} CFA le montant de la dernière enchère
                                                    </h5>
                                                    <!-- <div class="errormsg" *ngIf="auctionform.get('bid_amount')?.touched && auctionform.get('bid_amount')?.hasError('required')">
                                                        <h4 class="mb-0"> <b> Le montant ne doit pas être vide</b></h4>
                                                    </div> -->
                                                    <div class="d-block mt-3">
                                                        <button class="btn btn-green w-a" (click)="myAction()" [disabled]="regdis">
                                                        Enchérir Maintenant
                                                        <i class="fa fa-spinner fa-spin" *ngIf="loading"></i>
                                                        </button>
                                                    </div>
                                                    <div class="comeBack_up" *ngIf="addAuctionBidRes">
                                                        <div *ngIf="addAuctionBidRes.status == false; else loggedOut">
                                                            <br>
                                                            <ng-container *ngIf="myUrl;else myElse">
                                                                
                                                                <div class="alert alert-danger"><strong>Le droit d'entrée {{myAmount}}  CFA doit être payé pour avoir le droit d'enchérir sur ce produit<a href="{{myUrl}}"> &nbsp; Payer maintenant</a></strong></div>
                                                                
                                                            </ng-container>
                                                            <ng-template #myElse>
                                                                <div class="alert alert-danger"><strong>{{ addAuctionBidRes.message }}</strong></div>
                                                            </ng-template>
                                                            
                                                        </div>
                                                        <ng-template #loggedOut>
                                                            <br>
                                                            <div class="alert alert-success"><strong>{{ addAuctionBidRes.message }}</strong></div>
                                                        </ng-template>
                                                    </div>
                                                </form>			
                                            </section>
                                        
                                        </div>
                                    </div>
                                </div> 
                            </ng-container>
                            </ng-container>

                           <ng-container *ngIf="auction_is_over == 1">
                            <p class="maroon">Enchères sont terminées</p>
                        </ng-container>
                            
                            
                            <div class="row">
                                <ng-container *ngIf="first_variation">
                                    <div class="col-md-3" *ngIf="first_variation.length > 0">
                                        <div class="row p-t-15 p-b-15">
                                            <div class="p-b-10">
                                                <h3>{{first_variation[0].first_variation[0]}}</h3>
                                                <span>{{first_variation_value_color}} </span>


                                            </div>
                                        </div>
                                    </div>
                                </ng-container>

                                <ng-container *ngIf="second_variation">
                                    <ng-container *ngIf="second_variation.length > 0">
                                        <div class="col-md-3" *ngIf="second_variation[0].second_variation.length > 0">
                                            <div class="row p-t-15 p-b-15">
                                                <div class="p-b-10">
                                                    <h3>{{second_variation[0].second_variation[0]}}</h3>
                                                    <span> </span>
                                                    <select class="form-select" (change)="secondVariationChange($event)">
                                                        <option value="">Sélectionner</option>
                                                        <option *ngFor="let valOfVariation of second_variation[0]._id"
                                                            value="{{valOfVariation}}">{{valOfVariation}}</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </ng-container>


                                </ng-container>
                            </div>
                        </ng-container>
                        <!-- <hr>
                  <div class="row" [hidden]="show">
                     <h5>A propos de cet article</h5>
                     <p>{{single_product.description}}</p>
                  </div> -->
                    </div>
                    <div class="col-lg-4 col-md-5 col-sm-4 res-4">
                        <div class="row side-2 mob-th">
                            <div>
                                <a class="position-r "><span class="sp-price">{{product_price}}</span><sup
                                        class="sup-top1"><span></span>
                                        CFA
                                    </sup>
                                </a>
                            </div>
                            


                            <div class="p-b-10 pt-3">
                                <ng-container *ngIf="in_stock == true; else nostock">
                                    <h3>En stock</h3>
                                </ng-container>
                                <ng-template #nostock>
                                    <h3>Non en stock</h3>
                                </ng-template>

                                <span>Quantité : </span>
                                <select class="pd-s" (change)="selectQuantity($event)">
                                    <option *ngFor="let n of numSequence(total_Stock);
                           let i = index;" value="{{i+1}}">{{i+1}}</option>

                                </select>
                            </div>

                            <div class="p-b-10">

                                <ng-container *ngIf="in_stock == true; else nostock_sdfdsf">
                                    <button class="btn btn-theme-y btn-res" (click)="addCart(single_product, 0)">Ajouter
                                        au
                                        panier</button>
                                    <button class="btn btn-theme-o btn-res" (click)="addCart(single_product, 1)">Achetez
                                        maintenant</button>
                                </ng-container>
                                <ng-template #nostock_sdfdsf>
                                    <button disabled class="btn btn-theme-y btn-res" (click)="addCart(single_product, 0)">Ajouter au
                                        panier</button>
                                    <button disabled class="btn btn-theme-o btn-res" (click)="addCart(single_product, 1)">Achetez
                                        maintenant</button>
                                </ng-template>







                            </div>
                            <div class="p-b-10">
                                <a class="ankrr "><i class="fa-solid fa-lock"></i> Transaction sécurisée</a>
                                <div class="row pt-2 pb-2">
                                    <!--<div class="col-6">
                                    <a class="ankrr">Transaction sécurisée</a>
                                    </div>
                                    <div class="col-6">
                                        <a class="ankrr">Transaction sécurisée</a>
                                    </div>
                                    <div class="col-6">
                                        <a class="ankrr">Transaction sécurisée</a>
                                    </div>
                                    <div class="col-6">
                                    
                                    </div>-->
                                    <ul class="trans mb-0">
                                        <li><span>Expédié par</span><a>Rawgadou</a></li>

                                    </ul>
                                </div>
                            </div>
                            <div><button class="btn btn-secondary btn-100 btn-res" (click)="addFavItem()">Ajouter à
                                    votre liste
                                </button></div>
                            <!-- <div class="clearfix"></div>
                            <br> -->
                            <div class="comeBack_up" *ngIf="cartRes">
                                <div *ngIf="cartRes.status == false; else loggedOut">
                                    <div class="alert alert-danger"><strong>{{ cartRes.message }}</strong></div>
                                </div>
                                <ng-template #loggedOut>
                                    <div class="alert alert-success" *ngIf="cartRes.message"><strong>{{ cartRes.message
                                            }}</strong></div>
                                </ng-template>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <ng-container *ngIf="spec_attributes">
            <div class="mt-5">
                <div class="col-12 col-sm-12 col-md-6 col-lg-6 res-7">
                    <h3 class="maroon mb-3 slider-h">Informations sur le produit</h3>
                    <h4 class="mb-3 ">Descriptif technique</h4>
                    <div class="table-responsive">
                        <table class="table table-bordered tbl-sp" *ngIf="spec_attributes.length > 0">
                            <tbody>
                                <tr *ngFor="let obj of spec_attributes">
                                    <td>{{obj.attribute}}</td>
                                    <td>{{obj.value}}</td>
                                </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </ng-container>

        <ng-container>
            <div class="col-12 col-sm-12 col-md-12 col-lg-12 res-7">
                <h3 class="maroon slider-h">Description du produit</h3>
                <p class="para">{{description}}
                </p>
            </div>
        </ng-container>






        <ng-container>
            <div class="res-7">
                <div id="demo" class="carousel slide d-none" data-bs-ride="carousel">
                    <!-- Indicators/dots -->
                    <div class="carousel-indicators d-none">
                        <button type="button" data-bs-target="#demo" data-bs-slide-to="0" class="active btn"></button>
                        <button type="button" data-bs-target="#demo" data-bs-slide-to="1"></button>
                        <button type="button" data-bs-target="#demo" data-bs-slide-to="2"></button>
                        <button type="button" data-bs-target="#demo" data-bs-slide-to="3"></button>
                    </div>
                    <!-- The slideshow/carousel -->

                    <!-- Left and right controls/icons -->
                    <button class="carousel-control-prev" type="button" data-bs-target="#demo" data-bs-slide="prev">
                        <span class="carousel-control-prev-icon"></span>
                    </button>
                    <button class="carousel-control-next" type="button" data-bs-target="#demo" data-bs-slide="next">
                        <span class="carousel-control-next-icon"></span>
                    </button>
                </div>
            </div>

        </ng-container>

        <ng-container *ngIf="productReviews">
            <div class="p-b-30 p-t-30 ">
                <div class="col-12 col-sm-12 col-md-4 col-lg-4 res-7">
                    <div class="row">
                        <div class="col-xl-10 col-lg-10 col-md-10 col-12">
                            <div class="card">
                                <div class="heading0 mb-3">
                                    <h4>Commentaires clients</h4>
                                </div>
                                <div>
                                    <!-- <span class="fa fa-star star-active"></span>
                                    <span class="fa fa-star star-active"></span>
                                    <span class="fa fa-star star-active"></span>
                                    <span class="fa fa-star star-active"></span>
                                    <span class="fa fa-star star-active"></span>
                                     -->

                                    <div class="ra-ting-spn" style="cursor: not-allowed !important;position: relative;
                                       z-index: 1;">
                                        <ngb-rating [max]=5 [(rate)]="avgRating_record"></ngb-rating>
                                        <span class="value">{{avgRating_record}} sur {{totalRating_record}}</span>
                                    </div>


                                    <!-- <div class="ra-ting-spn"
                                        style="cursor: not-allowed !important;">
                                        <ngb-rating [max]=5 [(rate)]="avgRating_record"></ngb-rating>
                                        <span>
                                            ({{ totalRating_record }})
                                        </span>
                                        <span>{{avgRating_record}} sur {{totalRating_record}}</span>
                                    </div> -->


                                </div>
                                <div>
                                    <p>{{productReviews.length}} evaluations</p>
                                </div>
                                <div class="rating-bar0">
                                    <table class="text-left">
                                        <ng-container *ngFor="let abc of reviews_group_record">
                                            <tr *ngIf="abc._id== 5">
                                                <td class="rating-label"><a class="ankr-big">5 etoiles</a></td>
                                                <td class="rating-bar">
                                                    <div class="bar-container">
                                                        <div class="bar-5"></div>
                                                    </div>
                                                </td>
                                                <td><a class="ankr-big">{{abc.count}}%</a></td>
                                            </tr>

                                            <tr *ngIf="abc._id== 4">
                                                <td class="rating-label"><a class="ankr-big">4 etoiles</a></td>
                                                <td class="rating-bar">
                                                    <div class="bar-container">
                                                        <div class="bar-4"></div>
                                                    </div>
                                                </td>
                                                <td><a class="ankr-big">{{abc.count}}%</a></td>
                                            </tr>
                                            <tr *ngIf="abc._id== 3">
                                                <td class="rating-label"><a class="ankr-big">3 etoiles</a></td>
                                                <td class="rating-bar">
                                                    <div class="bar-container">
                                                        <div class="bar-3"></div>
                                                    </div>
                                                </td>
                                                <td><a class="ankr-big">{{abc.count}}%</a></td>
                                            </tr>
                                            <tr *ngIf="abc._id== 2">
                                                <td class="rating-label"><a class="ankr-big">2 etoiles</a></td>
                                                <td class="rating-bar">
                                                    <div class="bar-container">
                                                        <div class="bar-2"></div>
                                                    </div>
                                                </td>
                                                <td><a class="ankr-big">{{abc.count}}%</a></td>
                                            </tr>

                                            <tr *ngIf="abc._id== 1">
                                                <td class="rating-label"><a class="ankr-big">1 etoiles</a></td>
                                                <td class="rating-bar">
                                                    <div class="bar-container">
                                                        <div class="bar-1"></div>
                                                    </div>
                                                </td>
                                                <td><a class="ankr-big">10%</a></td>
                                            </tr>
                                        </ng-container>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>


                </div>
                <div class="col-12 col-sm-12 col-md-5 col-lg-5 res-7">
                    <div class="row" *ngFor=" let review of productReviews">
                        <a *ngIf="review.userwhorated.length >0">
                            <img class="mw-100" src="{{baseurl}}static/public/{{review.userwhorated[0].photo}}" width="50"> {{review.user_name}}
                        </a>
                        <br>
                        <a><img src="./assets/build/img/unnamed.png" class="mw-44" width="70" /></a><a>{{review.review}}</a>
                        <p>Commenté en France le {{review.updatedAt |date:'MMMM d, y'}}</p>
                        <p> </p>

                        <!-- <p> <span>|</span> <a class="d-c">Signaler un abus</a></p> -->
                    </div>
                    <div *ngIf="productReviews.length == 0">
                        Pas de commentaires disponibles
                    </div>
                    <hr>


                    <div class="row">
                        <!-- <a><img class="mw-100" src="./assets/build/img/people.png" width="50"> Nikos</a>
                  <br>
                  <a><img src="./assets/build/img/unnamed.png" class="mw-44" width="70" /></a><a> LE MEILLEUR TV
                     QUALITE/PRIX du moment avec le service Rawgadou en +</a>
                  <p>Commenté en France le 15 juin 2022</p> -->

                        <p>


                            <!-- <a class="d-c" href="javascript:void(0)" (click)="openAbuseReport()">Signaler un abus</a> -->

                            <ng-container *ngIf="user_id; else elseAbuse">

                                <a class="d-c" href="javascript:void(0)" (click)="openAbuseReport()">Signaler un abus</a>
                            </ng-container>
                            <ng-template #elseAbuse>
                                <a class="d-c" routerLink="/login">Signaler un abus</a>
                            </ng-template>
                        </p>
                    </div>



                    <a *ngIf="productReviews.length > 0" class="ankr-big">Afficher tous les commentaires <i
                            class="fa-solid fa-angle-right"></i></a>
                </div>
            </div>
        </ng-container>


        <div class="clearfix "></div>
        <ng-container>
            <div class="col-12 res-7">
                <h3 class="slider-h">Recommandé pour vous
                    <a class="ankr-big float-right pt-15"></a>
                </h3>

                <div slickContainer #slickController="slick" [slickConfig]="config">
                    <ng-container *ngIf="slickController.initialize">

                        <div *ngFor="let product of recProList; let index = index">
                            <div class="slide" slickItem>
                                <div>
                                    <div class="product-grid">
                                        <div class="product-image">


                                            <div *ngIf="product.images.length != 0;else other_content">
                                                <a routerLink="/view-product/{{product._id}}" target="_blank">
                                                    <img class="pic-1" src="{{baseurl}}static/public/{{product.images[0]}}">
                                                </a>
                                            </div>
                                            <ng-template #other_content>
                                                <img class="pic-1" src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/Image_not_available.png/640px-Image_not_available.png">
                                            </ng-template>
                                        </div>

                                        <div class="product-content pc">
                                            <h3 class="title"><a>{{product.title}}</a></h3>
                                            <ul class="rating">
                                                <li class="fa fa-star"></li>
                                                <li class="fa fa-star"></li>
                                                <li class="fa fa-star"></li>
                                                <li class="fa fa-star"></li>
                                                <li class="fa fa-star"></li>
                                            </ul>
                                            <span class="value">(11) </span>
                                            <div class="price">
                                                {{product.price}} CFA
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>


                    </ng-container>

                </div>
            </div>
        </ng-container>

        <ng-container *ngIf="history">
            <ng-container *ngIf="history.length > 0">
                <div>

                    <div class="mb-3 mt-3 pt-3">
                        <div class="col-12 res-7">
                            <h4 class="mb-3 pb-3">Votre historique de navigation <a class="ankr-big">Afficher ou
                                    modifier votre
                                    historique de navigation</a></h4>



                            <div slickContainer #slickControllerss="slick" [slickConfig]="config">
                                <ng-container *ngIf="slickControllerss.initialize">

                                    <div *ngFor="let pro of history; let index = index">
                                        <ng-container *ngIf="pro.product.length > 0">


                                            <div class="slide" slickItem>
                                                <div>
                                                    <div class="product-grid">
                                                        <div class="product-image">


                                                            <ng-container *ngIf="pro.product[0].images;else other_contentdsfdsf">


                                                                <div *ngIf="pro.product[0].images.length != 0;else other_content">
                                                                    <a routerLink="/view-product/{{pro.product[0]._id}}" target="_blank">
                                                                        <img class="pic-1" src="{{baseurl}}static/public/{{pro.product[0].images[0]}}">
                                                                    </a>
                                                                </div>

                                                                <ng-template #other_content>
                                                                    <img class="pic-1" src="{{baseurl}}static/public/media/no-image.jpeg">
                                                                </ng-template>
                                                            </ng-container>
                                                            <ng-template #other_contentdsfdsf>
                                                                <img class="pic-1" src="{{baseurl}}static/public/media/no-image.jpeg">
                                                            </ng-template>
                                                        </div>

                                                        <div class="product-content pc">
                                                            <h3 class="title"><a>{{pro.product[0].title}}</a></h3>
                                                            <ul class="rating">
                                                                <li class="fa fa-star"></li>
                                                                <li class="fa fa-star"></li>
                                                                <li class="fa fa-star"></li>
                                                                <li class="fa fa-star"></li>
                                                                <li class="fa fa-star"></li>
                                                            </ul>
                                                            <span class="value">(11) </span>
                                                            <div class="price">
                                                                {{pro.product[0].price}} CFA
                                                            </div>
                                                        </div>


                                                    </div>
                                                </div>
                                            </div>
                                        </ng-container>
                                    </div>


                                </ng-container>

                            </div>



                        </div>
                    </div>
                </div>
            </ng-container>
        </ng-container>

    </div>
</div>


<div class="modal" id="myModalimg">
    <div class="modal-dialog modal-t-15">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <!-- Modal body -->
            <div class="modal-body">
                <div class="container position-r">
                    <div class="mySlides text-center">
                        <div class="numbertext">1 / 6</div>
                        <img class="mw-100" src="./assets/build/img/single-slider/slider-1.jpg" height="250" />
                    </div>
                    <div class="mySlides text-center">
                        <div class="numbertext">2 / 6</div>
                        <img class="mw-100" src="./assets/build/img/single-slider/slider-2.jpg" height="250" />
                    </div>
                    <div class="mySlides text-center">
                        <div class="numbertext">3 / 6</div>
                        <img class="mw-100" src="./assets/build/img/single-slider/slider-3.jpg" height="250" />
                    </div>
                    <div class="mySlides text-center">
                        <div class="numbertext">4 / 6</div>
                        <img class="mw-100" src="./assets/build/img/single-slider/slider-4.jpg" height="250" />
                    </div>
                    <div class="mySlides text-center">
                        <div class="numbertext">5 / 6</div>
                        <img class="mw-100" src="./assets/build/img/single-slider/slider-5.jpg" height="250" />
                    </div>
                    <div class="mySlides text-center">
                        <div class="numbertext">6 / 6</div>
                        <img class="mw-100" src="./assets/build/img/single-slider/slider-6.jpg" height="250" />
                    </div>
                    <a class="prev prevnxt" onclick="plusSlides(-1)">❮</a>
                    <a class="next prevnxt" onclick="plusSlides(1)">❯</a>
                    <div class="row">
                        <div class="column">
                            <img class="demo cursor" src="./assets/build/img/single-slider/slider-1.jpg" style="width:100%" onclick="currentSlide(1)" alt="The Woods">
                        </div>
                        <div class="column">
                            <img class="demo cursor" src="./assets/build/img/single-slider/slider-2.jpg" style="width:100%" onclick="currentSlide(2)" alt="Cinque Terre">
                        </div>
                        <div class="column">
                            <img class="demo cursor" src="./assets/build/img/single-slider/slider-3.jpg" style="width:100%" onclick="currentSlide(3)" alt="Mountains and fjords">
                        </div>
                        <div class="column">
                            <img class="demo cursor" src="./assets/build/img/single-slider/slider-4.jpg" style="width:100%" onclick="currentSlide(4)" alt="Northern Lights">
                        </div>
                        <div class="column">
                            <img class="demo cursor" src="./assets/build/img/single-slider/slider-5.jpg" style="width:100%" onclick="currentSlide(5)" alt="Nature and sunrise">
                        </div>
                        <div class="column">
                            <img class="demo cursor" src="./assets/build/img/single-slider/slider-6.jpg" style="width:100%" onclick="currentSlide(6)" alt="Snowy Mountains">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




<app-footer></app-footer>